Loading...
Searching...
No Matches
apr_getopt_t Struct Reference
Apache Portability Runtime library » Command Argument Parsing

`#include <apr_getopt.h>`

## Data Fields

apr_pool_t * | cont
apr_getopt_err_fn_t * | errfn
void * | errarg
int | ind
int | opt
int | reset
int | argc
const char ** | argv
char const * | place
int | interleave
int | skip_start
int | skip_end

## Detailed Description

Structure to store command line argument information.

## Field Documentation

## argc

int apr_getopt_t::argc

count of arguments

## argv

const char** apr_getopt_t::argv

array of pointers to arguments

## cont

apr_pool_t* apr_getopt_t::cont

context for processing

## errarg

void* apr_getopt_t::errarg

user defined first arg to pass to error message

## errfn

apr_getopt_err_fn_t* apr_getopt_t::errfn

function to print error message (NULL == no messages)

## ind

int apr_getopt_t::ind

index into parent argv vector

## interleave

int apr_getopt_t::interleave

set to nonzero to support interleaving options with regular args

## opt

int apr_getopt_t::opt

character checked for validity

## place

char const* apr_getopt_t::place

argument associated with option

## reset

int apr_getopt_t::reset

reset getopt

## skip_end

int apr_getopt_t::skip_end

end of non-option arguments skipped for interleaving

## skip_start

int apr_getopt_t::skip_start

start of non-option arguments skipped for interleaving

The documentation for this struct was generated from the following file:

- apr_getopt.h